import request from '@/utils/request'

// 创建
export function createArea(data) {
  return request({
    url: '/farm/area/create',
    method: 'post',
    data: data
  })
}

// 更新
export function updateArea(data) {
  return request({
    url: '/farm/area/update',
    method: 'put',
    data: data
  })
}

// 删除
export function deleteArea(id) {
  return request({
    url: '/farm/area/delete?id=' + id,
    method: 'delete'
  })
}

// 获得
export function getArea(id) {
  return request({
    url: '/farm/area/get?id=' + id,
    method: 'get'
  })
}

// 获得分页
export function getAreaPage(query) {
  return request({
    url: '/farm/area/page',
    method: 'get',
    params: query
  })
}

// 导出 Excel
export function exportAreaExcel(query) {
  return request({
    url: '/farm/area/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
